aside {
    max-width: rem(230);
    width: 100%;
    margin: rem(52) 0 0 0;
    border-right: 1px solid $grey300;
    background-color: $grey50;
    
    &.agenda-aside {

        .aside-title-area{
            padding: rem(24) rem(10) rem(22);
            border-bottom: 1px solid $grey300;
            color: $grey700;
            h1{
                font-size: rem(15);
            }
        }
        .aside-search-area {
            display: flex;
            justify-content: space-between;
            padding: rem(10) rem(12);
            .agenda-search{
                width: 12rem;
                position: relative;
                border-radius: 1rem;
                background-color: #fff;
                font-size: 1.125rem;

                input{
                    border: 0;
                    height: 100%;
                    width: calc(100% - 60px);
                    padding: 0 0.25rem;
                }
                button{
                    position: absolute;
                    top: 0;
                    right: 0;
                }
            }
        }
        .aside-list {
            max-height: calc(100vh - 250px);
            overflow-y: auto;

            .aside-depth1 {
                &:hover {
                    .aside-depth1-link {
                        background-color: $black;
                        opacity: .7;
                        .number {
                           color: $white;
                        }
                        .txt{
                            color: $white;
                        }
                    }
                }
                &.on,
                &.on:hover{
                    .aside-depth1-link {
                        background-color: transparent;
                        color: $primary600;
                        .number {
                            color: $primary600;
                        }
                        .txt{
                            color: $primary600;
                        }
                      
                    }
                }
                .aside-depth1-link {
                    position: relative;
                    display: flex;
                    align-items: center;
                    width: 100%;
                    height: rem(44);
                    padding: rem(10) rem(15);
                    transition: .5s all ease;
                    span{
                        font-size: rem(13);
                        font-weight: 400;
                        color: $black;
                    }
                    .number {
                        width: rem(24);
                        font-size: rem(16);
                        font-weight: $medium;
                        display: inline-flex;
                        align-items: center;
                        transition: .5s all ease;
                    }
                    .circle-status{
                        position: absolute;
                        top: 50%;
                        right: rem(10);
                        transform: translateY(-50%);
                    }

                    //230612
                    &.txt-dimmed {
                        &:hover{
                            .txt, 
                            .number{
                                color: $white;
                            }
                        }
                        .txt, 
                        .number{
                            color: $done;
                        }
                    }
                }
                ul {
                    transition: height .5s ease;
                    li {
                        transition: height .5s ease;
                        height: 0;
                        a {
                            display: block;
                            width: 100%;
                            padding: rem(10) rem(8) rem(10) rem(36);
                            color: $font-color;
                            font-size: rem(12);
                            transition: transform .5s ease;
                            transform: scaleY(0);
                            
                        }
                        &.on{
                            a{
                                background-color: $black;
                                opacity: .7;
                                color: $white;
                            }
                        }
                    }
                }
                &.has-sub {
                    .aside-depth1-link {
                        &:before, &:after {
                            content: "";
                            position: absolute;
                            width: rem(1);
                            height: rem(9);
                            top: 50%;
                            right: rem(40);
                            background-color: $grey700;
                        }
                        &:before {
                            transform: translateY(-50%) rotate(90deg);
                        }
                        &:after {
                            transition: all .5s ease;
                            transform: translateY(-50%) rotate(0deg);
                        }
                    }
                    &:hover{
                        .aside-depth1-link {
                            &:before {
                                background-color: $white;
                            }
                            &:after {
                                background-color: $white;
                            }
                        }
                    }
                    &.on,
                    &.on:hover{
                        .aside-depth1-link {
                            &:before {
                                background-color: $white;
                            }
                            &:after {
                                transform: translateY(-50%) rotate(90deg);
                                background-color: $grey700;
                            }
                        }
                        ul {
                            display: block;
                            position: relative;
                            &:before {
                                content: "";
                                left: 0;
                                top: rem(-20);
                                width: 100%;
                                height: rem(20);
                                background-color: $white;
                                z-index: -1;
                                position: absolute;
                            }
                            li {
                                height: rem(36);
                                a {
                                    height: rem(34);
                                    transform: scaleY(1);
                                    position: relative;
                                    display: flex;
                                    
                                    &:hover, &.on {
                                        color: $white;
                                        background-color: $grey600;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        .aside-button-area{
            padding: rem(10) rem(14);
            button{
                width: 100%;
            }
        }

        
        &.close{
            max-width: rem(52);
            transition: all 0.2s ease-in;
            .aside-title-area{
                display: none;
            }
            .search-input-wrap{
                border: 0;
                background-color: transparent;
                width: auto;
                input,
                button{
                    background-color: transparent;
                }
            }
            .btn-filter{
                display: none;
            }
            .aside-list{
                .aside-depth1{ 
                    .aside-depth1-link{ 

                        &::before,
                        &::after,
                        .circle-status,
                        .txt{
                            display: none;
                        }

                        
                        &:hover{
                            .number{
                                color: $white !important;
                            }
                        }


                        
                        &.txt-confirmed {
                            &:hover{
                                background-color: $confirmed;
                            }
    
                            .number{
                                color: $confirmed;
                            }
                        }

                        &.txt-warning {
                            &:hover{
                                background-color: $warning-major;
                            }
                            .number{
                                color: $warning-major;
                            }
                        }
                        &.txt-error {
                            &:hover{
                                background-color: $error;
                            }
                            .number{
                                color: $error;
                            }
                        }
                        &.txt-done {
                            &:hover{
                                background-color: $done;
                            }
                            .number{
                                color: $done;
                            }
                        }

                        &.txt-dimmed {
                            &:hover{
                                background-color: $done;
                            }
                            .number{
                                color: $done;
                            }
                        }
                    }
                }
            }

            .aside-button-area{
                .btn-outlined{
                    width: auto;
                    min-width: auto;
                    padding: 0;
                    border: 0;
                    background-color: transparent;

                    .btn-txt{
                        display: none;
                    }
                }
                
            }
        }

    }
}